<!DOCTYPE HTML>
<html lang="es">
    <head th:replace="frags/head"></head>
    <body>
        <div th:replace="frags/header"></div>

        <!--//TODO: hacer el form de registro dependiendo si es kit, producto o tienda, recarga, ticket u otra cosa-->
        <section class="section-content bg border-top">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <figure class="mt-3 banner p-3 bg-secondary front-page-banner">
                            <div class="text-lg text-center white">
                                <h3>Finalizar Compra</h3>
                            </div>
                        </figure>
                        <br/>
                    </div>

                    <div id="preloder" style="display: none;">
                        <div class="loader"></div>
                    </div>

                    <div class="col-md-8">
                        <div class="card">
                            <article class="card-body">

                                <div class="alert alert-danger padding-20" th:if="${errors != null && errors.size() > 0}">
                                    <ul>
                                        <li th:each="error : ${errors}" th:text="${error}"></li>
                                    </ul>
                                </div>

                                <form id="form-topup" method="POST" enctype="multipart/form-data" th:object="${info}">

                                    <div class="alert alert-danger" id="topup-message" style="display: none;"></div>

                                    <div class="form-group">
                                        <label th:text="#{register.phone.long}">Número de linea</label>
                                        <input name="phoneNumber" type="tel" class="form-control" th:placeholder="#{register.phone.placeholder}" required="required" th:field="*{phoneNumber}" maxlength="14" autocomplete="tel">
                                    </div>

                                    <div class="form-group">
                                        <label th:text="#{register.name}">Nombre</label>
                                        <input name="firstName" type="text" class="form-control" th:placeholder="#{register.name}" required="required" th:field="*{firstName}">
                                    </div>

                                    <div class="form-group">
                                        <label th:text="#{register.lastname}">Apellido</label>
                                        <input name="lastName" type="text" class="form-control" th:placeholder="#{register.lastname}" required="required" th:field="*{lastName}"/>
                                    </div>

                                    <div class="form-group">
                                        <label th:text="#{register.email}">Dirección de correo electrónico</label>
                                        <input name="email" type="email" class="form-control" placeholder="Email" th:field="*{email}"/>
                                        <small class="form-text text-muted" th:text="#{register.email.warning}">Asegurese de introducir una dirección válida.</small>
                                    </div>

                                    <div class="form-group">
                                        <button id="post-topup" class="btn btn-primary btn-block"> Finalizar </button>
                                    </div>
                                </form>
                            </article>
                        </div>
                    </div>

                    <div class="col-md-4">
                        <figure class="card card-sm card-product">
                            <header class="card-header">
                                <h6 class="title">Su pedido</h6>
                            </header>

                            <div th:if="${cart.items.size() >= 1}" th:with="sit=${cart.items.get(0)}">
                                <div class="img-wrap padding-20"> 
                                    <img th:src="${sit.image}" onerror="this.src='/images/no_logo.png'"/> 
                                </div>
                                <figcaption class="info-wrap">
                                    <h6 class="text-truncate text-muted">
                                        <ul th:each="s : ${cart.items}">
                                            <li href="#" th:text="${s.title}"></li>
                                        </ul>
                                    </h6>
                                </figcaption>
                            </div>

                            <div class="card-body">
                                <dl class="dlist-align">
                                    <dt>SubTotal: </dt>
                                    <dd class="text-right" th:text="${cart.subTotalString}"></dd>
                                </dl>
                                <dl class="dlist-align">
                                    <dt>Envío:</dt>
                                    <dd class="text-right" th:text="${cart.shippingString}"></dd>
                                </dl>
                                <dl class="dlist-align h4">
                                    <dt>Total:</dt>
                                    <dd class="text-right" th:text="${cart.totalString}"><strong></strong></dd>
                                </dl>                                
                            </div>
                        </figure>
                    </div>
                </div>
            </div>
        </section>

        <div th:replace="frags/footer"></div>
        <div th:replace="frags/scripts_index"></div>
        <script src="/js/register_topup.js" type="text/javascript"></script>
    </body>
</html>